Skip to content

Moon-2.0-ld series ​

The moon-2.0-ld series is a 720P multi-media assets video model line by MoonNexAI Moon-2. The current public models are moon-2.0-ld-a and moon-2.0-ld-b, both of which are suitable for text-to-video, character and position reference, multi-map consistency, reference video and background audio combinations. When task is created, model fills in the public type that needs to be used.

Current Configuration ​

ItemAnnotations
Recommended entrancePOST /v1/videos
Query EntryGET /v1/videos/{task_id} or GET /v1/tasks/{task_id}
Recommended media fieldreferences[]
Output resolution720P
Support duration5 to 15 seconds
Support aspect ratio1:1, 16:9, 9:16, 4:3, 3:4
billing MethodBilled per task; actual price based on model list, price page and deduction record

Available Models ​

Open ModelCapacity statement
moon-2.0-ld-a720 P, 5 to 15 seconds to support a mix of pictures, videos and audio references.
moon-2.0-ld-bThe same abilities as LD-A: 720P, 5 to 15 seconds, which support the hybrid reference of pictures, videos and audio.

Both models use the request structure and media assets boundary as described on this page. Actual availability and current prices are based on the MoonNexAI model list, price page and billing log.

Capacity boundaries ​

CapacitySupport
text-to-videoSupport
Picture referenceSupport, maximum 9
Video referenceSupport, up to 3
Audio ReferenceSupport, up to 3
Mixed media assetssupport; pictures, videos and audio combined up to 15
First / last frameSupport, use first_frame/ last_frame to specify roles
Character and pose referenceSupport; reference images does not require only face pictures or face API
Independent AudioNot recommended; audio should be submitted with at least one picture or video
media assets SourceSupport for Stable Public Network URL, MoonNexAI hosting URL, and media assets references available for models

Character images can reference full bodies, poses, clothing, products, scenes, composition and visual style. For consistent characters, use clear, unobstructed images of the same subject and specify actions and camera movement. All tasks remain subject to content checks.

Recommended Process ​

  1. Prepares a URL for a public network of pictures, videos and audio that can be downloaded directly.
  2. The local file is coordinated using /v1/assets/uploads mode=oss to obtain a temporary test URL; the official business is requested to use the stable public network URL that the customer has.
  3. Call /v1/videos, fill media assets type, role, URL and aliases in references[].
  4. Saves the returned task_id, continues the query until status is succeeded or failed.

URL suggests that real file suffixes, such as .jpg, .png, .mp4, .wav or .mp3, be retained and ensure that login, Cookie, additional authentication Header, one-time download page or chain authentication are not relied upon.

Three characters reference images + background audio ​

bash
curl https://moonnexai.com/v1/videos \
  -H "Authorization: Bearer <MOONNEXAI_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "moon-2.0-ld-b",
    "prompt": "让 @人物 参考多张图片自然摆出各种姿势,并使用 @音乐 作为背景音乐。",
    "duration": 15,
    "ratio": "9:16",
    "resolution": "720P",
    "references": [
      {
        "media_type": "image",
        "role": "character_reference",
        "url": "https://example.com/person-1.jpg",
        "alias": "人物"
      },
      {
        "media_type": "image",
        "role": "reference_image",
        "url": "https://example.com/person-2.jpg"
      },
      {
        "media_type": "image",
        "role": "reference_image",
        "url": "https://example.com/person-3.jpg"
      },
      {
        "media_type": "audio",
        "role": "background_music",
        "url": "https://example.com/background-music.wav",
        "alias": "音乐"
      }
    ]
  }'

alias does not carry @; prompt uses @alias as media assets. Multiple pictures can be used to share a character synonym and do not require each entry to have a different aliases.

Multi-media assets grouping ​

json
{
  "model": "moon-2.0-ld-b",
  "prompt": "让 @角色 参考 @动作 的节奏完成自然表演,并使用 @音乐 作为背景音乐。",
  "duration": 15,
  "ratio": "16:9",
  "resolution": "720P",
  "references": [
    {
      "media_type": "image",
      "role": "character_reference",
      "url": "https://example.com/character.png",
      "alias": "角色"
    },
    {
      "media_type": "video",
      "role": "reference_video",
      "url": "https://example.com/motion.mp4",
      "alias": "动作"
    },
    {
      "media_type": "audio",
      "role": "reference_audio",
      "url": "https://example.com/music.mp3",
      "alias": "音乐"
    }
  ]
}

Single-class upper limits are 9 pictures, 3 videos and 3 audio, which cannot exceed 15 in three. Audio is recommended for background_music or reference_audio as background music and is specified in prompt.

Common field ​

fieldTypeAnnotations
modelstringFill in moon-2.0-ld-a or moon-2.0-ld-b.
promptstringVideo description. It is recommended to write about the subject, the action, the scene, the lens and the media assets binding.
durationnumber/stringSupports the integer number of 5 to 15 seconds.
ratio / aspect_ratiostring1:1, 16:9, 9:16, 4:3 or 3:4.
resolutionstringFill in 720P.
referencesarrayRecommended. Picture, video and audio reference arrays, with a maximum of 15.
references[].media_typestringimage, video, audio or music.
references[].rolestringPictures are commonly used reference_image, character_reference, first_frame, last_frame; video is used reference_video; audio is used reference_audio or background_music.
references[].urlstringStable the URL of the public network, MoonNexAI hosting URLs or media assets references available for models.
references[].aliasstringOptional. prompt can be used for @alias as media assets.
images / videos / audiosarrayCompatible writing; new access complex media assets priority references[].
callback_urlstringOptional. HTTPS callback addresses after task is completed.

Query and Download ​

bash
curl https://moonnexai.com/v1/videos/{task_id} \
  -H "Authorization: Bearer <MOONNEXAI_API_KEY>"

Check status first. Only status is succeeded. Read video_url, url, result_url, output.url or metadata.url. You can also download with standard content entry:

Successful task may return the signed video URL of media-nex.windfimusic.com. This domain name is the official transferred media address managed by MoonNexAI; please save and use the complete URL as it is, including all query parameters.

bash
curl -L https://moonnexai.com/v1/videos/{task_id}/content \
  -H "Authorization: Bearer <MOONNEXAI_API_KEY>" \
  -o output.mp4

Attention ​

  • duration can fill in integer numbers within 5 seconds to 15.
  • Audio media assets should be used with pictures or videos media assets, and not recommended for audio-only request.
  • reference images does not require that only human faces be included, but the stability of the person depends on the clarity of the picture, the consistency of the subject, prompt and the content security check.
  • More references can increase download, media-identification and content-check time. Start with fewer references, then add more.
  • The result is only the Open URL or standard content entry returned by MoonNexAI, without split or collating the result address; the signature query parameter for the media-nex.windfimusic.com address cannot be deleted or rewritten.

Relevant Pages ​